Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class SplineModel

    java.lang.Object
      org.apache.jmeter.visualizers.SplineModel

All Implemented Interfaces:
  Clearable

public class SplineModel
extends Object
implements Clearable

Field Summary
`int` | `DEFAULT_NUMBER_OF_NODES`
`int` | `DEFAULT_REFRESH_PERIOD`
`protected int` | `numberOfNodes`
`protected int` | `refreshPeriod`
`protected boolean` | `SHOW_INCOMING_SAMPLES`

Constructor Summary
`SplineModel()`

Method Summary
`void` | `add(SampleResult sampleResult)`
`void` | `clearData()` Clears the current data of the object.
`Collection` | `getAddList()`
`long` | `getAverage()`
`long` | `getCurrent()`
`Spline3` | `getDataCurve()`
`Class` | `getGuiClass()`
`long` | `getMaximum()`
`long` | `getMinimum()`
`String` | `getName()`
`long` | `getNumberOfCollectedSamples()`
`long` | `getSample(int i)`
`boolean` | `isEditable()`
`void` | `setListener(GraphListener vis)`
`void` | `setName(String newName)`
`void` | `uncompile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NUMBER_OF_NODES

    public final int DEFAULT_NUMBER_OF_NODES

See Also:
  Constant Field Values

### DEFAULT_REFRESH_PERIOD

    public final int DEFAULT_REFRESH_PERIOD

See Also:
  Constant Field Values

### SHOW_INCOMING_SAMPLES

    protected final boolean SHOW_INCOMING_SAMPLES

See Also:
  Constant Field Values

### numberOfNodes

    protected int numberOfNodes

### refreshPeriod

    protected int refreshPeriod

Constructor Detail

### SplineModel

    public SplineModel()

Method Detail

### setListener

    public void setListener(GraphListener vis)

### setName

    public void setName(String newName)

### isEditable

    public boolean isEditable()

### getDataCurve

    public Spline3 getDataCurve()

### getGuiClass

    public Class getGuiClass()

### getAddList

    public Collection getAddList()

### getMinimum

    public long getMinimum()

### getMaximum

    public long getMaximum()

### getAverage

    public long getAverage()

### getCurrent

    public long getCurrent()

### getSample

    public long getSample(int i)

### getNumberOfCollectedSamples

    public long getNumberOfCollectedSamples()

### getName

    public String getName()

### uncompile

    public void uncompile()

### clearData

    public void clearData()

  Description copied from interface: `Clearable`
  Clears the current data of the object.

  Specified by:
    `clearData` in interface `Clearable`

### add

    public void add(SampleResult sampleResult)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.